Skip to main content
GET
cURL

List Customers

Authorizations

X-API-KEY
string
header
required

API Key for authentication

X-TIMESTAMP
string
header
required

Current timestamp in seconds since epoch

X-SIGNATURE
string
header
required

HMAC SHA256 signature of the request encoded in Base64

Query Parameters

Search by name, email, phone, client_reference_id or customer id (min 3 characters)

country
string

Filter by ISO alpha-3 country code

customer_status
string

Filter by customer status

customer_type
enum<string>

Filter by customer type

Available options:
INDIVIDUAL,
BUSINESS,
UBO
start_date
string<date>

Created on or after (YYYY-MM-DD). Applied only together with end_date.

end_date
string<date>

Created on or before (YYYY-MM-DD). Applied only together with start_date.

order_by
string
default:-created_at

Sort field; prefix with - for descending

page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:20

Results per page (10–100)

Required range: 10 <= x <= 100

Response

List of customers fetched successfully

status
boolean
Example:

true

message
string
Example:

"Success"

data
object